t.vect.what.strds(1)

NAME
t.vect.what.strds - Stores raster map values at spatial and temporal positions of vector points as vector attributes.

KEYWORDS
temporal, sampling, vector, time

SYNOPSIS
t.vect.what.strds
t.vect.what.strds --help
t.vect.what.strds input=name strds=name [column=string] method=string [where=sql_query] [t_where=sql_query] [sampling=name[,name,...]] [--help] [--verbose] [--quiet] [--ui]

  Flags:

--help
    Print usage summary

--verbose
    Verbose module output

--quiet
    Quiet module output

--ui
    Force launching GUI dialog

  Parameters:

input=name [required]
    Name of the input space time vector dataset

strds=name [required]
    Name of the input space time raster dataset

column=string
    Name of the vector column to be created and to store sampled raster values
    The use of a column name forces t.vect.what.rast to sample only values from the first map found in an interval. Otherwise the raster map names are used as column names

method=string [required]
    Aggregate operation to be performed on the raster maps
    Options: disabled, average, count, median, mode, minimum, min_raster, maximum, max_raster, stddev, range, sum, variance, diversity, slope, offset, detcoeff, quart1, quart3, perc90, quantile, skewness, kurtosis
    Default: disabled

where=sql_query
    WHERE conditions of SQL statement without ’where’ keyword
    Example: income < 1000 and population >= 10000

t_where=sql_query
    WHERE conditions of SQL statement without ’where’ keyword used in the temporal GIS framework
    Example: start_time > ’2001-01-01 12:30:00’

sampling=name[,name,...]
    The method to be used for sampling the input dataset
    Options: start, during, overlap, contain, equal, follows, precedes
    Default: start

DESCRIPTION
The module t.vect.what.strds samples a space time raster dataset (STRDS) at the spatio-temporal locations of a space time vector dataset (STVDS).

EXAMPLE
The example is based on the space time vector dataset "precip_stations@climate_2009_2012" created in the t.vect.observe.strds example. In the example below, the module fills the new column "new_temp" with values extracted from the "tempmean_monthly" space time raster dataset:

t.vect.what.strds input=precip_stations@climate_2009_2012 \
                  strds=tempmean_monthly@climate_2009_2012 \
                  column=new_temp method=average

SEE ALSO
r.univar, v.univar, v.what.rast, v.what.rast3, v.what.strds, v.what.vect, t.create, t.info

AUTHOR
Sören Gebbert, Thünen Institute of Climate-Smart Agriculture

SOURCE CODE

Available at: t.vect.what.strds source code (history)

Accessed: Wednesday Nov 13 23:00:50 2024

Main index | Temporal index | Topics index | Keywords index | Graphical index | Full index

© 2003-2023 GRASS Development Team, GRASS GIS 7.8.8 Reference Manual